<?php
	include_once(dirname(__FILE__)."/classes/loader.php");
	
	$controller = new SettingsMailChimp_Controller();
	/*
	 * Get the REQUEST URI segements and determine where the settingsMailChimp segment is.
	 * We want to exclude everything before and including the settingsMailChimp segment.
	 *
	 * $index is the segment where we found settingsMailChimp
	*/
	
	$requestURISegments = explode("/", $_SERVER["REQUEST_URI"]);
	
	$index = 0;
	
	for ($count = 0; $count < count($requestURISegments); $count++)
	{
		if ($requestURISegments[$count] == "settingsMailChimp")
		{
			$index = $count;
		}
	}
	/*
	 * Get rid of all the segments prior to and including settingsMailChimp
	*/
	array_splice($requestURISegments, 0, $index+1);
	
	
	/*
	 * This checks if we have any segments past the "settingsMailChimp" segment and assigns
	 * the first one as the action.
	*/
	
	$action = (count($requestURISegments) > 0) ? $requestURISegments[0] : "";
	switch ($action)
	{
		case 'api':
			$apiAction = (count($requestURISegments) > 1) ? $requestURISegments[1] : "";	
			switch($apiAction)
			{
				case 'saveMailChimpSettings':
					$controller->apiSaveMailChimpSettings();	
				break;
				
				/*case 'syncEmailToMailChimp':
					$controller->apiSyncEmailToMailChimp();
				break;*/
			}
			break;
		
		default:
			$controller->index();
			break;		
	}	
?>			